For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet email senders
      • POSTCreate email sender
      • PUTUpdate a sender
      • DELDelete a sender
      • PUTValidate a sender using OTP
      • GETGet all the dedicated IPs for your account
      • GETGet all the dedicated IPs for a specific sender
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsSenders

Get all the dedicated IPs for a specific sender

GET
https://api.brevo.com/v3/senders/:senderId/ips
GET
/v3/senders/:senderId/ips
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.senders.getIpsFromSender(1);
8}
9main();
1{
2 "ips": []
3}
Retrieves the dedicated IPs associated with a specific sender. Use this to: - Check IP configuration for a sender - Verify dedicated IP associations - Get IP details for troubleshooting - Monitor sender IP configuration Key information returned: - List of associated dedicated IPs - IP addresses and domain configurations - IP status and settings
Was this page helpful?
Previous

Get the list of all sender domains

Next
Built with

Retrieves the dedicated IPs associated with a specific sender.

Use this to:

  • Check IP configuration for a sender
  • Verify dedicated IP associations
  • Get IP details for troubleshooting
  • Monitor sender IP configuration

Key information returned:

  • List of associated dedicated IPs
  • IP addresses and domain configurations
  • IP status and settings

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

senderIdlongRequired
Id of the sender

Response

List of dedicated IPs retrieved successfully
ipslist of objects

Dedicated IP(s) linked to a sender. Returns empty array for standard accounts without dedicated IPs.

Errors

400
Bad Request Error
404
Not Found Error